%define use_ccache 1
%{?_with_ccache: %global use_ccache 1}
%{?_without_ccache: %global use_ccache 0}

Summary:	Full-featured GTK+ Bittorrent client
Name:		deluge
Version:	1.3.12
Release:	%mkrel 2
License:	GPLv3+ with exceptions
Group:		Networking/File transfer
Url:		http://deluge-torrent.org/
Source0:	http://download.deluge-torrent.org/source/%{name}-%{version}.tar.xz
Patch0:		new_release_check.patch
Patch1:		deluge-1.1.8-use-multithreaded-boost.patch
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	boost-devel
BuildRequires:	libz-devel
BuildRequires:	openssl-devel
BuildRequires:	python-setuptools
BuildRequires:	intltool
BuildRequires:	python-libtorrent-rasterbar
Requires:	librsvg2
Requires:	pyxdg
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gnomevfs
Requires:	python-twisted-web
Requires:	python-simplejson
Requires:	python-notify
Requires:	python-OpenSSL
Requires:	python-chardet
Requires:	python-mako
Requires:	python-pkg-resources
Requires:	python
Requires:	python-libtorrent-rasterbar
Requires:	%{_lib}torrent-rasterbar8
Requires:	python-characteristic
Requires:	python-idna
Requires:	python-pyasn1
Requires:	python-pyasn1-modules 
Requires:	python-service-identity
Requires:	python-twisted-web >= 15.0
Requires:	python-ply
Requires:	python-pycparser
Requires:	python-cffi
Requires:	python-cryptography
Requires:	python-enum34
Requires:	python-six

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:  	%name < %version

%description
Deluge is a Bittorrent client. Deluge is intended to bring a native,
full-featured client to Linux GTK+ desktop environments such as GNOME
and XFCE.

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build
%ifarch x86_64
	CFLAGS="%{optflags} -DAMD64" python setup.py build
%else
	CFLAGS="%{optflags}" python setup.py build
%endif

%install
rm -rf %{buildroot}
python ./setup.py install --root=%{buildroot}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --add-category="GTK" \
  --add-category="P2P" \
  --add-category="FileTransfer" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*

#mv %{buildroot}%{_iconsdir}/scalable %{buildroot}%{_iconsdir}/hicolor/

%find_lang %{name}

%post
%{update_icon_cache hicolor}
%{update_desktop_database}

%postun
%{clean_icon_cache hicolor}
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}*.1.*
%{py_puresitedir}/*

%changelog
* Sat Sep 19 2015 bb <bb> 13.12-2pclos2015
- add missing requires

* Sun Sep 13 2015 bb <bb> 13.12-1pclos2015
- update

* Sat May 16 2015 bb <bb> 1.3.6-5pclos2015
- rebuild against updated libs



